<?php

namespace App\Services\Equipment\Part;

use App\Entities\Equipment\Part\DiskEntity;
use App\Models\Equipment\Part\DiskModel;
use CodeIgniter\HTTP\IncomingRequest;
use App\Services\Equipment\Link\DiskService as LinkService;

class DiskService extends PartService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Disk');
    }
    public function getModelClass(): DiskModel
    {
        return new DiskModel;
    }
    public function getEntityClass(): DiskEntity
    {
        return new DiskEntity();
    }
    protected function getLinkService(): LinkService
    {
        return new LinkService($this->request);
    }
}
